Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226156

Summary: Merge Review: mod_python
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jorton, lkundrak, notting, panemade, redhat-bugzilla, tuju
Target Milestone: ---Flags: panemade: fedora-review+
tibbs: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-09-06 05:09:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
spec cleanup none

Description Nobody's working on this, feel free to take it 2007-01-31 19:42:41 UTC
Fedora Merge Review: mod_python

http://cvs.fedora.redhat.com/viewcvs/devel/mod_python/
Initial Owner: jorton@redhat.com

Comment 1 Parag AN(पराग) 2010-07-20 10:41:13 UTC
rpmlint output on SRPM and RPM gave

mod_python.x86_64: W: private-shared-object-provides /usr/lib64/python2.6/site-packages/mod_python/_psp.so _psp.so()(64bit)
mod_python.x86_64: W: file-not-utf8 /usr/share/doc/mod_python-3.3.1/CREDITS
mod_python.x86_64: W: file-not-utf8 /usr/share/doc/mod_python-3.3.1/NEWS
mod_python.src:46: E: use-of-RPM_SOURCE_DIR
mod_python.src:265: W: macro-in-%changelog %{contentdir}

Comment 2 Parag AN(पराग) 2010-07-22 05:15:04 UTC
Also,
According to Python packaging guidelines you don't need python_sitearch macro and also should BR: python-devel 

Some recent guidelines changes suggests
1) buildroot should be removed
2) %clean not needed
3) cleaning of buildroot at start of %install also not needed

Comment 3 Parag AN(पराग) 2010-07-22 05:15:52 UTC
Created attachment 433583 [details]
spec cleanup

Good if you add dist tag to proposed changes in patch.

Comment 4 Parag AN(पराग) 2010-08-02 15:07:02 UTC
jorton ping

Comment 5 Parag AN(पराग) 2010-08-09 09:25:28 UTC
jorton ping

Comment 6 Parag AN(पराग) 2010-08-11 04:26:07 UTC
Looks Maintainer don't want to fix this after talking with him on IRC also. Let's push this to NEW.

Comment 7 Parag AN(पराग) 2010-09-03 05:22:12 UTC
Ok, Seems FESCo allowed now reviewer to commit changes. I will take this review again and commit the changes and close this review.

Comment 8 Parag AN(पराग) 2010-09-06 05:09:33 UTC
Committed patch. Built in mod_python-3.3.1-13
I have left using dist-tag to its maintainer as its not mandatory.
Closing this review.

Comment 9 Joe Orton 2010-09-06 08:11:52 UTC
Thanks a lot, Parag!

Comment 10 Lubomir Rintel 2010-11-26 11:01:44 UTC
Package Change Request
======================
Package Name: mod_python
New Branches: el6
Owners: lkundrak

mod_python was removed from el6 and Fedora maintainer (jorton) is not willing to maintain it as he considers the package dead given very low upstream development activity. I need the package for koji-{web,hub} thus I'm willing to maintain it in epel for el6, Joe does not object.

Comment 11 Jason Tibbitts 2010-11-29 16:54:57 UTC
Git done (by process-git-requests).